Get a model by its slug
curl --request GET \
--url https://openrouter.ai/api/v1/model/{author}/{slug} \
--header 'Authorization: Bearer <token>'import requests
url = "https://openrouter.ai/api/v1/model/{author}/{slug}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://openrouter.ai/api/v1/model/{author}/{slug}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": {
"architecture": {
"input_modalities": [
"text"
],
"instruct_type": "chatml",
"modality": "text->text",
"output_modalities": [
"text"
],
"tokenizer": "GPT"
},
"context_length": 8192,
"created": 1692901234,
"description": "GPT-4 is a large multimodal model that can solve difficult problems with greater accuracy.",
"id": "openai/gpt-4",
"name": "GPT-4",
"per_request_limits": null,
"pricing": {
"completion": "0.00006",
"image": "0",
"prompt": "0.00003",
"request": "0"
},
"supported_parameters": [
"temperature",
"top_p",
"max_tokens"
],
"top_provider": {
"context_length": 8192,
"is_moderated": true,
"max_completion_tokens": 4096
}
}
}{
"error": {
"code": 404,
"message": "Resource not found"
}
}{
"error": {
"code": 500,
"message": "Internal Server Error"
}
}Models
Get a model by its slug
Returns full details for a single model identified by its author and slug (e.g. openai/gpt-4). Supports variant suffixes (e.g. openai/gpt-4:free) and resolves known slug aliases.
GET
/
model
/
{author}
/
{slug}
Get a model by its slug
Authorizations
API key as bearer token in Authorization header
Path Parameters
The author/organization of the model
Example:
"openai"
The model slug, optionally including a variant suffix (e.g. gpt-4 or gpt-4:free)
Example:
"gpt-4"
Response
Returns the model details
Single model response
Information about an AI model available on OpenRouter
Show child attributes
Show child attributes
Example:
{
"architecture": {
"input_modalities": ["text"],
"instruct_type": "chatml",
"modality": "text->text",
"output_modalities": ["text"],
"tokenizer": "GPT"
},
"canonical_slug": "openai/gpt-4",
"context_length": 8192,
"created": 1692901234,
"default_parameters": null,
"description": "GPT-4 is a large multimodal model that can solve difficult problems with greater accuracy.",
"expiration_date": null,
"id": "openai/gpt-4",
"knowledge_cutoff": null,
"links": {
"details": "/api/v1/models/openai/gpt-5.4/endpoints"
},
"name": "GPT-4",
"per_request_limits": null,
"pricing": {
"completion": "0.00006",
"image": "0",
"prompt": "0.00003",
"request": "0"
},
"reasoning": {
"default_effort": "medium",
"default_enabled": true,
"mandatory": false,
"supported_efforts": ["high", "medium", "low", "minimal"]
},
"supported_parameters": ["temperature", "top_p", "max_tokens"],
"supported_voices": null,
"top_provider": {
"context_length": 8192,
"is_moderated": true,
"max_completion_tokens": 4096
}
}
⌘I